LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDropCatalog Interface Referencepublished

may be implemented to hide the complexity of dropping a database catalog. More...

`import"XDropCatalog.idl";`

Inheritance diagram for XDropCatalog:

## Public Member Functions
void | dropCatalog ([in]string catalogName, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| drops a catalog identified by its name. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

may be implemented to hide the complexity of dropping a database catalog.

Could normally be used only in offline mode, no connection on the database. This should be checked by the driver.

## Member Function Documentation

## ◆ dropCatalog()

void dropCatalog | ( | [in] string | catalogName,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | info
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

drops a catalog identified by its name.

Parameters

  catalogName | the catalog name
  info | driver specific information

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XDropCatalog.idl